#!/bin/sh

if [ x$2 == "x" ]
then
    echo "usage: $0 <start|stop> <wlan#> [channel]"
    exit 1
fi

case "$1" in

    start)
        if [ x$3 == "x" ]
        then
            echo "usage: $0 <start|stop> <wlan#> [channel]"
            exit 1
        fi
        wlanctl-ng $2 lnxreq_ifstate ifstate=enable
        wlanctl-ng $2 lnxreq_wlansniff channel=$3 enable=true \
                      prismheader=true wlanheader=false stripfcs=true \
                      keepwepflags=true
        echo p2CnfWEPFlags=0,4,7 | wlancfg set $2
        ifconfig $2 up promisc
        ;;

    stop)
        wlanctl-ng $2 lnxreq_ifstate ifstate=disable
        ifconfig wlan0 down
        ;;

    *)
        echo "usage: $0 <start|stop> <wlan#> [channel]"
        exit 1
        ;;

esac

